Unixutils-1.54.3: A crude interface between Haskell and Unix-like operating systems

Copyright | (c) 2010
License | BSD3
Maintainer | jeremy@seereason.com
Stability | provisional
Portability | non-portable (requires POSIX)
Safe Haskell | Safe-Inferred
Language | Haskell2010

System.Unix.Crypt

Description

support for crypt() and etcshadow

Synopsis

- crypt :: String -> String -> IO String

# Documentation

crypt Source #

Arguments

:: String | key
-> String | salt
-> IO String | encrypted password

calls crypt(3)